Page MenuHomePhabricator

Advanced Topics in Browser Test Automation
Closed, ResolvedPublic

Description

Scratchpad: http://etherpad.wikimedia.org/p/Adv_Browser_Tests_-_T86593

Including but not limited to:

  • Using Cucumber well: intention over description; initiation, navigation, and assertion
  • Code reuse and loose coupling: implementation patterns for easier maintenance
  • Waiting and waiting: working with AJAX efficiently
  • Nested elements and scope: pushing the limits of today's framework
  • Code smells: loops, conditionals, and comments

Event Timeline

Cmcmahon raised the priority of this task from to Needs Triage.
Cmcmahon updated the task description. (Show Details)
Cmcmahon set Security to None.
Cmcmahon added a subscriber: Cmcmahon.
Qgil triaged this task as Normal priority.Jan 8 2015, 12:17 PM
Qgil added a subscriber: Qgil.Jan 27 2015, 7:05 AM

Please update the description with the achievements of this session. Thank you in advance.

Cmcmahon closed this task as Resolved.Feb 3 2015, 4:59 PM

We had a well-attended session where we demonstrated examples of good refactoring across a number of repositories.

greg moved this task from INBOX to Done on the Release-Engineering-Team board.Feb 5 2015, 7:09 PM